function lnp_hat = model(beta,X)

%Utrekning av CO2-partialtrykk paa logaritmisk form


global A B n 

lnK=EqConst(beta,X);
% Likevektskonstantar

c_H2O=X(:,4);
% Konsentrasjon vatn

b0=X(:,5:8);
% Initialkonsentrasjon [mol/L]

xi = SecondOrder(beta,X);

for i = 1:n

lnb=log(b0(i,:)'+B*xi(i));                                          

lnp_hat(i) = lnb'*A + lnK(i,2) -log(c_H2O(i));     

end

lnp_hat=lnp_hat';

end
 