function [C,Ceq]=nonlcon(beta,X)

global B n

%% ----Systembetingelser----

lnK=EqConst(beta,X);
% Likevektskonstantar

b0=X(:,5:8);
% Initialkonsentrasjon [mol/L]

xi = SecondOrder(beta,X);

for i = 1:n
    
%f(xi)=0
f=lnK(i)-B'*log(b0(i,:)'+B*xi(i));
Ceq=f;

%b>0
b=(b0(i,:)'+B*xi(i))';
C=-b;

end


end