function xi_save = InitialXi(beta,X)

global n

b0=X(:,4:8);
% Initialkonsentrasion [g/L]

lnK=EqConst(beta,X);
% Likevektskonstantar

options=optimset('Display','off','TolFun', 1e-6 ,'TolX', 1e-6);


for i= 1 : n
    

    xi_0=[0 0]';
    
    x = [b0(i,:) lnK(i,1) lnK(i,2)]; 
    
    [xi]=fsolve(@equilibrium,xi_0,options,x);

    
% Oppdaterer xi_o viss resultatet blir negativt.

tic    
while imag(xi(1)) ~= 0 || real(xi(1)) <= 0 
            
    xi_0(1)=xi_0(1)+1e-6;
    
    [xi]=fsolve(@equilibrium,xi_0,options,x);  
        
end

while imag(xi(2)) ~= 0 || real(xi(2)) <= 0   
     
        
    xi_0(2)=xi_0(2)+1e-6;
    
    [xi]=fsolve(@equilibrium,xi_0,options,x);  
    
    xi_save(i,:)=xi';

       
end


end
