function [lnp_hat b]=model(beta,X)

%Utrekning av CO2-partialtrykk paa logaritmisk form


global A B n
                                              
xi=[beta(10:9+n) beta(10+n:end)];                
% Reaksjonsomfang   

lnK=EqConst(beta,X);
% Likevektskonstantar

b0=X(:,4:8);
% Initialkonsentrasjon

for i = 1:n

b(i,:)= b0(i,:)'+B*xi(i,:)';  
    
lnb=log(b0(i,:)'+B*xi(i,:)');                                          
                                     
lnp_hat(i) = lnb'*A + lnK(i,3);     

end

lnp_hat=lnp_hat';

end
 